Package org.linphone.core

# Enum Class MessageWaitingIndication.ContextClass

java.lang.Object
java.lang.Enum<MessageWaitingIndication.ContextClass>
org.linphone.core.MessageWaitingIndication.ContextClass

All Implemented Interfaces:
  `Serializable`, `Comparable<MessageWaitingIndication.ContextClass>`, `Constable`

Enclosing interface:
  `MessageWaitingIndication`

public static enum MessageWaitingIndication.ContextClass extends Enum<MessageWaitingIndication.ContextClass>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Fax`
`Multimedia`
`None`
`Pager`
`Text`
`Voice`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static MessageWaitingIndication.ContextClass`
`fromInt(int value)`
`int`
`toInt()`
`static MessageWaitingIndication.ContextClass`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MessageWaitingIndication.ContextClass[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Voice

public static final MessageWaitingIndication.ContextClass Voice

### Fax

public static final MessageWaitingIndication.ContextClass Fax

### Pager

public static final MessageWaitingIndication.ContextClass Pager

### Multimedia

public static final MessageWaitingIndication.ContextClass Multimedia

### Text

public static final MessageWaitingIndication.ContextClass Text

### None

public static final MessageWaitingIndication.ContextClass None

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static MessageWaitingIndication.ContextClass[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static MessageWaitingIndication.ContextClass valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static MessageWaitingIndication.ContextClass fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()